@tailwind base;
@tailwind components;
@tailwind utilities;


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: font1;
    src: url(/assets/font/MamaBear.otf);
}

@font-face {
    font-family: Stopbuck;
    src: url(/assets/font/Stopbuck.ttf);
}

@font-face {
    font-family: coconutz;
    src: url(/assets/font/coconutz.otf);
}



html {
    scroll-behavior: smooth;
}



body {
    font-family: "Urbanist", sans-serif;
    font-weight: 400;
    color: #fff;
    overflow-x: hidden;
    background-color: #5B7715;

}

p {
    font-size: 1.5vw;
    font-family: coconutz;
}


.header,
.about_3,
.toknomics,
.howtobuy,
.roadmap,
footer {
    background-position: top center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;

}

.header {
    background-position: top center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    display: flex;
    justify-content: end;
    align-items: center;
    flex-direction: column;
}

.header {
    background-image: url('/assets/images/header.webp');
    height: 75vw;
    padding: 0vw 5vw 5vw 5vw;
    position: relative;
}

.makhi {
    position: absolute;
    right: 15vw;
    top: 8vw;
    width: 30vw;
}


nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3vw;
    max-width: 80%;
    padding: 0vw 2vw;
    border-radius: 8px;
    border: 4px solid #201A17;
    font-family: font1;
    color: #201A17;
    margin: auto;
    background-color: #FFF6E5;
    position: absolute;
    top: 5vw;
    width: 100%;
}

nav a:first-child {
    color: #CAA167;
}

nav a {
    font-size: 1.5vw;
    transition: all 0.3s ease-in-out;
}

nav a:hover {
    color: #CAA167;
}

nav img {
    width: 100%;
    max-width: 5vw;
    transform: scale(1.6);
}

.links {
    display: flex;
    align-items: center;
    gap: 0.4vw;
    position: relative;
    z-index: 99;
}

.links a img {
    width: 100%;
    max-width: 6vw;

}

.links a {
    transition: all 0.3s ease-in-out;
}

.links a:hover {
    transform: scale(1.1);
}

h2 {
    font-family: font1;
}


.main_link img {
    width: 15vw;
    transition: all 0.3s ease-in-out;
    margin-bottom: 1vw;
}

.main_link img:hover {
    transform: scale(1.1);
}


.moving_comix_scroll {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-item-align: stretch;
    -ms-grid-row-align: stretch;
    align-self: stretch;
    background: #9FCD2A;
    border-top: 3px solid #000000;
    border-bottom: 3px solid #000000;
}

.moving_comix_scroll .moving_comix_content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.moving_comix_scroll .moving_comix_content .item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 2.5rem 1.75rem 1.75rem 2.5rem;
    gap: 3.5rem;
    -webkit-box-flex: 0;
    -ms-flex: none;
    flex: none;
}

.moving_comix_scroll .moving_comix_content .item img {
    width: 23rem;
    height: 23rem;
}


/* about  */

.about {
    padding: 5vw 20vw 0 20vw;
    text-align: center;
    margin: 2vw 0;
    position: relative;
}

.about h2 {
    font-size: 5vw;
    -webkit-text-stroke-width: 3px;
    -webkit-text-stroke-color: black;
}



.about a img {
    width: 15vw;
    margin: 2vw auto;

}

.about a img {
    width: 15vw;
    transition: all 0.3s ease-in-out;
}

.about a img:hover {
    transform: scale(1.1);
}

.imags {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.imags img {
    width: 20vw;
    position: absolute;
    right: 0vw;
    z-index: -1;
    bottom: -9vw;
}


.imags :first-child {
    left: 0vw;

}


.tokenomice {
    position: relative;
    height: 65vw;
    overflow-y: hidden;
}

.tokenomice .flying-1,
.tokenomice .flying-2 {
    position: absolute;
    width: 13vw;
}

.tokenomice .flying-1 {
    top: 20vw;
    left: 5vw;
    animation-delay: 0s;
    width: 25vw;
    /* Adjust to start time */

}

.tokenomice .flying-2 {
    top: 12vw;
    right: 17vw;
    animation-delay: 1s;
    /* Offset for natural flying pattern */
}

.about_3 {
    background-image: url('/assets/images/about-3.webp');
    height: 90vw;
    margin-top: -7vw;
    position: relative;
    z-index: 50;
}



/* howtobuy  */

.howtobuy {
    padding: 5vw 20vw 0 20vw;
    text-align: center;
    margin: 2vw 0;
    position: relative;
    margin-top: -10vw;
    z-index: 60;
}

.howtobuy h2 {
    font-size: 5vw;
    -webkit-text-stroke-width: 3px;
    -webkit-text-stroke-color: black;
}

.howtobuy a {
    font-family: coconutz;
    font-size: 1.5vw;
    width: 8vw;
    display: block;
    margin: auto;
    text-align: center;
}

.howtobuy a img {
    width: 5vw;
    margin: auto;
    transition: all 0.3s ease-in-out;
    margin-top: 3vw;
    margin-bottom: 1vw;

}



.howtobuy a img:hover {
    transform: scale(1.1);
}

.howtobuy .imags {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.howtobuy .imags img {
    width: 25vw;
    position: absolute;
    right: 0vw;
    z-index: -1;
    bottom: -11vw;
}


.imags :first-child {
    left: 0vw;

}

@keyframes fly {
    0% {
        transform: translate(0, 0) rotate(0deg);
    }

    25% {
        transform: translate(10px, -20px) rotate(15deg);
    }

    50% {
        transform: translate(20px, 0) rotate(-10deg);
    }

    75% {
        transform: translate(-10px, 20px) rotate(10deg);
    }

    100% {
        transform: translate(0, 0) rotate(0deg);
    }
}


footer {
    background-image: url('/assets/images/footer.webp');
    height: 55vw;
    padding: 1vw 15vw;
    margin-top: 0vw;
    position: relative;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: end;
    flex-direction: column;
}

.footer-gif {
    position: absolute;
    left: 0;
    bottom: 8vw;
    width: 30vw;
}

footer #copyText {
    position: absolute;
    font-size: 1vw;
    color: #fff;
    top: 29vw;
    left: 29vw;
}

footer .copy {
    position: absolute;
    position: absolute;
    top: 27.5vw;
    right: 26vw;
    padding: 2vw 4vw;
}

footer h3 {
    font-family: Stopbuck;
    color: #fff;
    margin-top: 1vw;
    font-size: 1.2vw;
}


@media screen and (max-width: 480px) {

    body,
    html {
        overflow-x: hidden;
    }

    p {
        font-size: 4vw;
    }

    nav {
        width: 100%;
        max-width: 95%;
        padding: 1vw 2vw;
        border: 2px solid #201A17;
        top: 3vw;

    }

    nav a {
        font-size: 2vw;
    }

    nav img {
        transform: scale(2.2);
    }

    .moving_comix_scroll .moving_comix_content .item {
        gap: 0.5rem;
        padding: 3vw 1vw;
    }

    .moving_comix_scroll .moving_comix_content .item img {

        width: 7rem;
        height: 7rem;
    }

    .about {
        padding: 5vw 5vw 0vw 5vw;
    }

    .about h2 {
        font-size: 7vw;
        -webkit-text-stroke-width: 2px;
        -webkit-text-stroke-color: black;
    }

    .moving_comix_scroll {
        border-top: 1.5px solid #000000;
        border-bottom: 1.5px solid #000000;
    }

    .about a img {
        width: 25vw;
        margin: 2vw auto;

    }

    .howtobuy {
        padding: 5vw 5vw 0vw 5vw;
    }

    .howtobuy h2 {
        font-size: 7vw;
        -webkit-text-stroke-width: 2px;
        -webkit-text-stroke-color: black;
    }

    .howtobuy a {
        width: 15vw;
    }

    .howtobuy a img {
        width: 10vw;

    }

    footer #copyText {
        font-size: 1.1vw;
        top: 29.5vw;
    }


    .main_link img {
        width: 20vw;
    }
}